Name:       nodejs-which
Version:    1.0.5
Release:    1%{?dist}
Summary:    A JavaScript implementation of the 'which' command
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/node-which
Source0:    http://registry.npmjs.org/which/-/which-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
%endif

%description
%{summary}.

%prep
%setup -q -n package

%nodejs_fixshebang bin/which

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/which
cp -p which.js package.json %{buildroot}%{nodejs_libdir}/which

mkdir -p %{buildroot}%{_bindir}
install -pm755 bin/which %{buildroot}%{_bindir}/which.nodejs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/which
%{_bindir}/which.nodejs
%doc README.md

%changelog
* Sun Mar 04 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-1
- new upstream release 1.0.5

* Thu Feb 10 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-1
- new upstream release 1.0.3

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-2
- add Group to make EL5 happy

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-1
- new upstream release

* Tue Aug 23 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
